Bug 6873 - CTDB Release Notes
CTDB Release Notes
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
unspecified
Other Linux
: P3 major
: ---
Assigned To: Michael Adam
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-05 14:55 UTC by Bryan Banister
Modified: 2016-08-09 22:20 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Banister 2009-11-05 14:55:46 UTC
Hi,

Please provide release notes with a change log for the CTDB software.  Otherwise it is impossible to understand what issues have been resolved with new versions.  Also please indicate if the software can co-exist with older versions of the software, allowing for "hot", "rolling" upgrades of the CTDB cluster while maintaining production services.

Today I attempted to do a rolling upgrade from 86 to 102.  The recmaster, running 86 code, was not able to recover after enabling the upgraded node running 102.  The upgrade was canceled and the code was reverted back to the 86 code to return the CTDB cluster to normal operation.

This is really critical for support of this solution,
-Bryan
Comment 1 Michael Adam 2009-11-20 18:02:39 UTC
Thanks for your report!

CTDB does in fact have a changelog, but it is sort of hidden:
It is contained in packaging/RPM/ctdb.spec[.in]
as the changelog of the RPM.

I think this should be externalized and placed into the
top level directory.

Ronnie: What do you think?

As for rolling upgrade:
This will generally not be possible when the version bump
is considerable. In some situations, e.g. 102->104 it should
be possible. But this is somtheing that has to be carefully
checked in advance each time. The safe thing to do is
usually a complete stop of the whole cluster for an upgrade.

Cheers - Michael

Comment 2 Michael Adam 2010-02-24 05:30:29 UTC
Ronnie, ping.

What do you think about giving the release notes
a proper place of their own?

Ronnie: You might also want to say something about rolling upgrades...

Michael
Comment 3 Martin Schwenke 2016-08-06 10:39:23 UTC
In CTDB 2.x we had a NEWS file, however separate CTDB versions are no longer support.  CTDB is now part of Samba so changes are documented in Samba's WHATSNEW.txt.  So this has been solved for a long time.

While rolling upgrades will often work, things generally move so fast between Samba minor versions that we recommend taking a short outage a restarting CTDB on all nodes in the cluster.  Rolling upgrades of CTDB across Samba releases within a Samba minor version *should* be safe.  Perhaps we should discuss this more...

However, can we close this old bug about release notes?
Comment 4 Martin Schwenke 2016-08-09 22:20:16 UTC
Release notes availability fixed in all currently supported versions.